Index: sansmodels/src/sans/models/EllipticalCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -54,5 +54,9 @@
         self.name = "EllipticalCylinderModel"
         ## Model description
-        self.description ="""Please see details..."""
+        self.description =""" Model parameters: r_minor = the radius of minor axis of the cross section
+		r_ratio = the ratio of (r_major /r_minor >= 1)
+		length = the length of the cylinder
+		contrast = SLD of solvent - SLD of the cylinder
+		background = incoherent background"""
        
 		## Parameter details [units, min, max]
Index: sansmodels/src/sans/models/HollowCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/HollowCylinderModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/HollowCylinderModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -53,5 +53,10 @@
         self.name = "HollowCylinderModel"
         ## Model description
-        self.description =""""""
+        self.description =""" P(q) = scale*<f*f>/Vol + bkg, where f is the scattering amplitude.
+		core_radius = the radius of core
+		radius = the radius of shell
+		length = the total length of the cylinder
+		contrast = SLD of solvent - SLD of shell
+		background = incoherent background"""
        
 		## Parameter details [units, min, max]
Index: sansmodels/src/sans/models/StackedDisksModel.py
===================================================================
--- sansmodels/src/sans/models/StackedDisksModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/StackedDisksModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -57,5 +57,13 @@
         self.name = "StackedDisksModel"
         ## Model description
-        self.description =""""""
+        self.description =""" One layer of disk consists of a core, a top layer, and a bottom layer.
+		radius =  the radius of the disk
+		core_thick = thickness of the core
+		layer_thick = thickness of a layer
+		core_sld = the SLD of the core
+		layer_sld = the SLD of the layers
+		n_stacking = the number of the disks
+		sigma_d =  Gaussian STD of d-spacing
+		solvent_sld = the SLD of the solvent"""
        
 		## Parameter details [units, min, max]
Index: sansmodels/src/sans/models/TriaxialEllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -54,7 +54,7 @@
         self.name = "TriaxialEllipsoidModel"
         ## Model description
-        self.description =""" Note:
-		Constraints must be applied during fitting to ensure that the inequality a<b<c is not
-		violated. The calculation will not report an error, but the results will not be correct."""
+        self.description ="""Note: During fitting ensure that the inequality A<B<C is not
+		violated. Otherwise the calculation will
+		not be correct."""
        
 		## Parameter details [units, min, max]
Index: sansmodels/src/sans/models/VesicleModel.py
===================================================================
--- sansmodels/src/sans/models/VesicleModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/VesicleModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -51,8 +51,8 @@
         self.name = "VesicleModel"
         ## Model description
-        self.description ="""Model parameters:  radius : core radius of the vesicle
-		thickness: shell thickness
-		core_sld: core scattering length density
-		shell_sld: shell scattering length density
+        self.description ="""Model parameters:    radius : the core radius of the vesicle
+		thickness: the shell thickness
+		core_sld: the core SLD
+		shell_sld: the shell SLD
 		background: incoherent background
 		scale : scale factor"""
Index: sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 26e4a247fb629283560bcebfc702766d91e89b16)
+++ sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -5,7 +5,12 @@
  * [PYTHONCLASS] = EllipticalCylinderModel
  * [DISP_PARAMS] = r_minor, r_ratio, length, cyl_theta, cyl_phi, cyl_psi
- * [DESCRIPTION] = Please see details...
+ * [DESCRIPTION] = <text> Model parameters: r_minor = the radius of minor axis of the cross section
+r_ratio = the ratio of (r_major /r_minor >= 1)
+length = the length of the cylinder
+contrast = SLD of solvent - SLD of the cylinder
+background = incoherent background
+  *</text>
  * [FIXED]= <text> cyl_phi.width;
- * cyl_theta.width; cyl_psi.width; length.width; r_minor.width; r_ratio.width 
+ * cyl_theta.width; cyl_psi.width; length.width; r_minor.width; r_ratio.width
  *</text>
  * [ORIENTATION_PARAMS]= cyl_phi; cyl_theta; cyl_psi;  cyl_phi.width; cyl_theta.width; cyl_psi.width
Index: sansmodels/src/sans/models/c_extensions/hollow_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/hollow_cylinder.h	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
+++ sansmodels/src/sans/models/c_extensions/hollow_cylinder.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -7,5 +7,11 @@
  //[PYTHONCLASS] = HollowCylinderModel
  //[DISP_PARAMS] = core_radius, radius, length, axis_theta, axis_phi
- //[DESCRIPTION] = <text></text>
+ //[DESCRIPTION] = <text> P(q) = scale*<f*f>/Vol + bkg, where f is the scattering amplitude.
+ //					core_radius = the radius of core
+ //				radius = the radius of shell
+ // 			length = the total length of the cylinder
+ //				contrast = SLD of solvent - SLD of shell
+ //				background = incoherent background
+ //	</text>
  //[FIXED]= <text> axis_phi.width; axis_theta.width; length.width;core_radius.width; radius</text>
  //[ORIENTATION_PARAMS]= axis_phi; axis_theta;axis_phi.width; axis_theta.width
Index: sansmodels/src/sans/models/c_extensions/stacked_disks.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/stacked_disks.h	(revision 975ec8e8211549489759b5a5ffe3b60607de065b)
+++ sansmodels/src/sans/models/c_extensions/stacked_disks.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -8,5 +8,13 @@
  * [PYTHONCLASS] = StackedDisksModel
  * [DISP_PARAMS] = core_thick, layer_thick, radius, axis_theta, axis_phi
-   [DESCRIPTION] = <text>
+   [DESCRIPTION] = <text> One layer of disk consists of a core, a top layer, and a bottom layer.
+		radius =  the radius of the disk
+		core_thick = thickness of the core
+		layer_thick = thickness of a layer
+		core_sld = the SLD of the core
+		layer_sld = the SLD of the layers
+		n_stacking = the number of the disks
+		sigma_d =  Gaussian STD of d-spacing
+		solvent_sld = the SLD of the solvent
 		</text>
 	[FIXED]= <text>core_thick.width;layer_thick.width; radius.width; axis_theta.width; axis_phi.width</text>
Index: sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h	(revision 3c102d483d76eaaef80c6c9f1e39089cfbd6799b)
+++ sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -4,12 +4,10 @@
  * [PYTHONCLASS] = TriaxialEllipsoidModel
  * [DISP_PARAMS] = axis_theta, axis_phi, axis_psi
-   [DESCRIPTION] = <text> Note:
-					Constraints must be applied during fitting to ensure that the inequality a<b<c is not
-						  violated. The calculation will not report an error, but the results will not be correct.
-				   </text>
+	[DESCRIPTION] = <text>Note: During fitting ensure that the inequality A<B<C is not
+	violated. Otherwise the calculation will
+	not be correct.
+	</text>
 	[FIXED]= <text>axis_psi.width; axis_phi.width; axis_theta.width; semi_axisA.width; semi_axisB.width; semi_axisC.width </text>
 	[ORIENTATION_PARAMS]= <text>axis_psi; axis_phi; axis_theta; axis_psi.width; axis_phi.width; axis_theta.width</text>
-
-
  **/
 typedef struct {
Index: sansmodels/src/sans/models/c_extensions/vesicle.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/vesicle.h	(revision e2afadff3f4263f27adf3503adb9ffba97b1e122)
+++ sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
@@ -6,8 +6,8 @@
 [PYTHONCLASS] = VesicleModel
 [DISP_PARAMS] = radius,thickness
-[DESCRIPTION] =<text>Model parameters:  radius : core radius of the vesicle
-		thickness: shell thickness
-		core_sld: core scattering length density
-		shell_sld: shell scattering length density
+[DESCRIPTION] =<text>Model parameters:    radius : the core radius of the vesicle
+		thickness: the shell thickness
+		core_sld: the core SLD
+		shell_sld: the shell SLD
 		background: incoherent background
 		scale : scale factor
